# PHP-CS-Fixer

Automatically fix PHP Coding Standards issues.

- https://github.com/PHP-CS-Fixer/PHP-CS-Fixer

## Install

- https://github.com/PHP-CS-Fixer/PHP-CS-Fixer#installation
- https://github.com/PHP-CS-Fixer/PHP-CS-Fixer/blob/master/doc/installation.rst

... or simply run `devtools/php-cs-fixer/install-php-cs-fixer.sh`.

# PSR-12: Extended Coding Style

- https://www.php-fig.org/psr/psr-12/

# PHP CS Fixer for Visual Studio Code

- https://marketplace.visualstudio.com/items?itemName=mansoorkhan96.php-cs-fixer

## Usage

- https://cs.symfony.com/doc/usage.html

The script `devtools/php-cs-fixer/run-php-cs-fixer.sh` calls `php-cs-fixer` with all the parameters required by the Bareos project.
